package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.SysPermission;
import cn.wise.sc.cement.business.model.BaseResponse;
import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ztw
 * @since 2020-08-20
 */
public interface ISysPermissionService extends IService<SysPermission> {

	BaseResponse<List<SysPermission>> current();

	BaseResponse<List<SysPermission>> permissionsList();

	BaseResponse<List<SysPermission>> parents();

	BaseResponse<JSONArray> tree();

	BaseResponse<List<SysPermission>> listByRoleId(Integer roleId);

	BaseResponse<SysPermission> create(SysPermission permission);

	BaseResponse<SysPermission> update(SysPermission permission);

}
